using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace NotRefresh
{
    public partial class _Default : ApplicationBasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.PrimaryBO = this.Employees;
            //this.Navigated+=new WebApplication16.Common.NavigatedDelegate(_Default_Navigated);
            //this.PrimaryBO.Navigated += this._Default_Navigated;

            if (!this.IsPostBack)
            {
                this.EmployeeTerritories.ParentBusinessObject = this.Employees;
                this.Employees.FillDataTable("Select top 200 * from employees");
            }
        }

        protected void Page_Unload(object sender, EventArgs e)
        {
            this.Navigated-=this._Default_Navigated;
            this.PrimaryBO.Navigated -= this._Default_Navigated;
        }

        protected void  _Default_Navigated(MicroFour.StrataFrame.Business.NavigatedEventArgs e)
        {
            this.RefreshData();
        }

        protected override void OnNavigated(MicroFour.StrataFrame.Business.NavigatedEventArgs e)
        {
            base.OnNavigated(e);

            this.RefreshData();
        }

        protected void btnSearch_Click(object sender, EventArgs e)
        {
            this.Employees.NavigateToPrimaryKey(this.txtFirstName.Text.Trim());
        }

        protected void btnFill_Click(object sender, EventArgs e)
        {
            this.Employees.FillDataTable(string.Format("SELECT * FROM Employees WHERE FirstName LIKE '%{0}%'", this.txtSFirstName.Text.Trim()));
            this.EmployeeTerritories.Clear();
            this.grdEmployees.DataBind();
        }

        private void RefreshData()
        {
            this.EmployeeTerritories.FillByParentPrimaryKey(this.Employees.EmployeeID);
            this.grdEmployeeTerritories.DataBind();
        }
    }
}
