﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.ComponentModel;
using MicroFour.StrataFrame.Business;

namespace WebApplication16.Common
{
    [ToolboxData("<{0}:BaseWBBS runat=server></{0}:BaseWBBS>")]
    [Designer("MicroFour.StrataFrame.Extensibility.WebBusinessBindingSourceDesigner, MicroFour StrataFrame Extensibility, Version=1.7.0.0, Culture=neutral, PublicKeyToken=99fe9917f71608a7")]
    public class BaseWBBS : MicroFour.StrataFrame.UI.Web.WebBusinessBindingSource
    {
        #region " Private Fields "

        private bool _autoDispose = true;

        #endregion

        #region " Public Properties "

        /// <summary>
        /// Method to set gridview to auto dispose datasource
        /// </summary>
        public bool AutoDispose
        {
            get
            {
                return this._autoDispose;
            }
            set
            {
                this._autoDispose = value;
            }
        }

        #endregion

        protected override void OnUnload(EventArgs e)
        {
            base.OnUnload(e);

            if(this.AutoDispose && this.DataView != null
                && this.DataView.CurrentEnumerator.BBS != null)
            {
                this.DataView.CurrentEnumerator.BBS.Dispose();
            }
        }
    }
}
